body {
    color: #272727;
    font-size: 16px;
    margin: 0;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    overflow-x: hidden;
  }
  
  .logo {
  }
  h1{
    font-family: 'League Spartan', sans-serif;
    font-size: 2rem;
    box-sizing: border-box;
    text-align: center;
  }
  h1 a {
    color: #272727;
    text-decoration: none;
    font-weight: 700;
    transition: all 0.2s ease-in-out;
    
  }
  h1 a:hover{
    color: #7AAD2F;
  }
  h2{
    font-family: 'League Spartan', sans-serif;
    font-size: 1.75rem;
    text-align: center;
    padding: 10px 30px;
    box-sizing: border-box;
  }
  h3{
    text-align: center;
    padding: 5px;
    margin: 0;
    color: white;
    font-size: 1rem;
    font-weight: 100;
    box-sizing: border-box;
  }
  .wrapper{
    max-width: 1024px;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    box-sizing: border-box;
  }
  .spotlight{
    background-color: #7AAD2F;
    padding: 5px;
    
  }
  .spot-cont{
    display: flex;
    font-size: 14px;
    justify-content: space-between;
  }
  .split{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    margin-top: 25px;
    margin-bottom: 25px;
  }
  @media screen and (max-width: 650px) {
    .split{
        flex-direction: column;
    }
    .split--left{
        width: 100% !important;
    }
    .split--right{
        width: 100% !important;
    }
    .split-inverse{
        flex-direction: column-reverse;
    }
  }
  .split--left{
    width: 50%;
  }
  .split--left img{
    width: 100%;
    border-radius: 10px;
  }
  .split--right{
    width:50%;
  }
  .split--right img{
    width: 100%;
    border-radius: 10px;
  }
  @media screen and (max-width: 692px) {
    .spot-cont{
        display: none;
    }
  }
  .span-left a{
    color: white;
    text-decoration: none;
    font-weight: 100;
    display: flex;
    align-items: center;
    gap: 5px;
  }
  .reasons-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: stretch;
    margin-bottom: 25px;
}
.accordion-button {
  background-color: #eee;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  text-align: left;
  border: none;
  outline: none;
  transition: background-color 0.3s ease;
  border-radius: 40px;
}
.accordion-button.active {
  background-color: #7AAD2F;
  color:white;
}
.accordion-button:hover {
  background-color: #7AAD2F;
}
.accordion-item{
  margin-bottom: 10px;
}
.accordion-content {
  padding: 0 18px;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease-out;
  background-color: white;
}
.reason {
  flex: 0 1 45%;
  box-sizing: border-box;
  margin: 10px;
  padding: 20px;
  background-color: #f9f9f9; /* Original background color */
  border-radius: 10px;
  transition: transform 0.3s ease, background-color 0.3s ease; /* Smooth transition for hover effects */
}

.reason:hover {
  transform: scale(1.05); /* Slightly increase the size */
  background-color: #e0e0e0; /* Changed background color on hover */
}

.reason h3 {
    color: #000; /* Example text color */
    margin-bottom: 10px;
}

.reason p {
    color: #000; /* Example text color */
}
  .span-right a{
    color: white;
    text-decoration: none;
    font-weight: 100;
    display: flex;
    align-items: center;
    gap: 5px;
  }
  .span-left{
    display: flex;
    gap: 15px;
  }

  .nav--content{
    display: flex;
    flex-direction: row;
    align-items: center;
    box-sizing: border-box;
  }
  .navbar {
    background: #fff;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.2);
    font-family:  'League Spartan', sans-serif;
    display: flex;
    justify-content: center;
  }
  
  .push-left {
    margin-left: auto;
  }
  
  .hamburger {
    background: transparent;
    border: none;
    cursor: pointer;
    display: none;
    outline: none;
    height: 30px;
    position: relative;
    width: 30px;
    z-index: 1000;
  }
  
  .hamburger-line {
    background: #272727;
    height: 3px;
    position: absolute;
    left: 0;
    transition: all 0.2s ease-out;
    width: 100%;
  }
  
  .hamburger:hover .hamburger-line {
    background: #777;
  }
  
  .hamburger-line-top {
    top: 3px;
  }
  
  .menu-active .hamburger-line-top {
    top: 50%;
    transform: rotate(45deg) translateY(-50%);
  }
  
  .hamburger-line-middle {
    top: 50%;
    transform: translateY(-50%);
  }
  
  .menu-active .hamburger-line-middle {
    left: 50%;
    opacity: 0;
    width: 0;
  }
  
  .hamburger-line-bottom {
    bottom: 3px;
  }
  
  .menu-active .hamburger-line-bottom {
    bottom: 50%;
    transform: rotate(-45deg) translateY(50%);
  }
  
  .nav-menu {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
    transition: all 0.25s ease-in;
    align-items: center;
  }
  
  .nav-menu .menu-item a {
    color: #444444;
    display: block;
    line-height: 30px;
    margin: 0 10px;
    text-decoration: none;
  }
  .inert{
    color:white !important;
  }
  .nav-menu .menu-item a:hover {
    color: #6e6e6e; /* Adjusted for CSS, as lighten function is not available */
    text-decoration: underline;
  }
  
  .sub-nav {
    border: 1px solid #ccc;
    display: none;
    position: absolute;
    background-color: #fff;
    padding: 5px 5px;
    list-style: none;
    width: 230px;
  }
  
  .nav__link:hover + .sub-nav,
  .sub-nav:hover {
    display: block;
  }
  header{
    height:450px;
    width:100%;
    background: linear-gradient(rgba(255,255,255,0.6), rgba(255,255,255,0.6)), url('header-background.png');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    box-sizing: border-box;
  }

.header--content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    text-align: center;
    box-sizing: border-box;
}
.header--content h1{
    font-size: 3rem;
    box-sizing: border-box;
}
.header--content p{
    max-width: 500px;
    width: 100%;
    font-weight: 400;
    box-sizing: border-box;
}
.sub-header{
    text-align: center;
    width: 100%;
    padding: 0px 20px;
    box-sizing: border-box;
}
  .container{
    max-width: 1024px;
    width: 100%;
    display: flex;
    gap: 35px;
    margin-top: 50px;
    box-sizing: border-box;
  }
  .align-left{
    text-align: left;
  }
  .btn--primary{
    background-color: #7AAD2F;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 40px;
    font-size: 1rem;
    font-weight: 400;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
    text-decoration: none;
    font-family: 'League Spartan', sans-serif;
    box-sizing: border-box;  
  }
  .btn--primary:hover {
    background-color: #6e9a28; /* Darker shade of the original color */
    transform: scale(1.05); /* Slightly increase the size of the button */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2); /* Optional: Add a shadow for depth */
}
  .btn--invert{
    background-color: #fff;
    color: #7AAD2F;
    border: none;
    padding: 10px 20px;
    border-radius: 40px;
    font-size: 1rem;
    font-weight: 400;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
    text-decoration: none;
    font-family: 'League Spartan', sans-serif; 
  }
  .btn--invert:hover {
    background-color: #e7ffbf; /* Darker shade of the original color */
    transform: scale(1.05); /* Slightly increase the size of the button */
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2); /* Optional: Add a shadow for depth */
}
  .btn--mobile{
    display: none;
  }
  .btn--mobile-icons{
    width: 100%;
    border: 1px solid #7AAD2F;
    color: #7AAD2F !important;
    box-sizing: border-box;
    border-radius: 40px;
    display: flex !important;
    align-items: center;
    justify-content: center;
    gap: 5px;
    padding: 10px 20px;
  }
  .card{
    width: 100%;
    background-color: #7AAD2F;
    border-radius: 10px;
    height: 100%;
    box-sizing: border-box;
  }
  .card img{
    width: 100%;
  }
  hr{
    width: 20%;
    margin-left: auto;
    margin-right: auto;
    border: #7AAD2F solid 1px;
  }

  .full-width-green{
    background-color: #7AAD2F;
    color: #fff;
    padding: 20px 10px;
    text-align: center;
    display: flex;
    box-sizing: border-box;
  }

  .col{
    width: 60%;
    box-sizing: border-box;
  }
  .col h2{
    color: white;
    text-align: left;
    padding: 0px 0px;
    letter-spacing: 1px;
    box-sizing: border-box;
  }

  .col p{
    color: white;
    text-align: left;
    box-sizing: border-box;
  }

  .col-2{
    width: 40%;
    display: flex;
    align-items: center;
    gap: 25px;
    justify-content: flex-end;
    font-size: 1.25rem;
    box-sizing: border-box;
  }


  .testimonial{
    padding: 10px;
  }
  .testimonial__content{
    padding: 10px;
    text-align: left;
    border-radius: 10px;
border: 1px solid #CFCFCF;
background: #FFF;
box-shadow: -3px 3px 2px 0px rgba(0, 0, 0, 0.25);
  }
  .testimonial__content hr{
    margin-left: 0;
  }
  .stars{
    display: flex;
    gap: 3px;
    padding-top: 5px;
    padding-bottom: 7px;
  }

  footer{
    background-color: #7AAD2F;
    padding-top: 25px;
    padding-bottom: 25px;
    box-sizing: border-box;
  }
.footer--upper{
    display: flex;
    border-bottom: 2px solid white;
    justify-content: space-between;
    padding-bottom: 5px;
    box-sizing: border-box;
}
.footer--upper h2{
    padding: 0px;
    margin: 0px;
    color: white;
    justify-content: space-between;
    color: white;
    text-decoration: none;
    font-weight: 100;
    box-sizing: border-box;
}
.footer--upper a{
    color: white;
    text-decoration: none;
    align-items: center;
    box-sizing: border-box;
}

.footer--lower{
    display: flex;
    justify-content: space-between;
    padding-top: 5px;
    flex-direction: column;
    box-sizing: border-box;
}
.footer--links{
    display: flex;
    gap: 15px;
    padding-top: 10px;
    justify-content: center;
    box-sizing: border-box;
}
.footer--links a{
    color: white;
    text-decoration: none;
    padding: 0px 0px;
}
footer p{
    color: white;
}

.gallery--container{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: space-between;
    padding: 25px 0px;
}
.gallery--item {
    width: 22%;
    overflow: hidden;
    border-radius: 10px;
}
.gallery--item img{
    width: 100%;
    border-radius: 10px;
    transition: transform 0.3s ease; /* Smooth transition for the zoom effect */
    transform-origin: center;
    height: 150px;
    object-fit: cover;
}
.gallery--item img:hover{
    width: 100%;
    border-radius: 10px;
    transform: scale(1.1);
}
  /* Media Queries */
  @media screen and (max-width: 838px) {
    h1{
        font-size: 1.75rem;
    }
    .container{
        justify-content: center;
        flex-wrap: wrap;
        gap:10px
    }
    .card{
        width:47% !important;
    }
    .gallery--item{
        width: 47% !important;
    }
  }
  @media screen and (max-width: 795px) {
    .hamburger {
      display: inline-block;
    }
    .btn--mobile{
        display: block;
      }
    .nav-menu {
      background: #fff;
      flex-direction: column;
      justify-content: center;
      opacity: 0;
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      transform: translateY(-100%);
      text-align: center;
      box-sizing: border-box;
      padding: 10px;
    }
  
    .menu-active .nav-menu {
      transform: translateY(0%);
      opacity: 1;
    }
  
    .menu-item {
        margin-bottom: 10px;
        width: 100%;
        box-sizing: border-box;
    }
    .nav-menu .menu-item a {
      font-size: 20px;
      margin: 0px;
      padding: 5px;
      line-height: unset;
    }
  
    .sub-nav {
      position: relative;
      width: 100%;
      display: none;
      background-color: rgba(0, 0, 0, 0.20);
      box-sizing: border-box;
    }
  }
  
  @media screen and (max-width: 500px) {
    .container{
        justify-content: center;
        flex-wrap: wrap;
        gap:10px
    }
    .card{
        width:100% !important;
    }
    .full-width-green{
        flex-direction: column;
        gap: 10px;
        box-sizing: border-box;
    }
    .col{
        width: 100%;
    }
    .col h2{
        text-align: center;
    }
    .col-2{
        width: 100%;
        flex-direction: column;
    }
    .col-2 a{
        width: 100%;
        box-sizing: border-box;
    }
    .footer--upper{
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
        box-sizing: border-box;
        gap: 10px;
        padding-bottom: 10px;
    }
    .footer--links{
        flex-direction: column;
    }
  }


  form {
    max-width: 500px;
    margin: 0 auto;
    padding: 20px;
    background: #f8f8f8;
    border-radius: 8px;
}

form div {
    margin-bottom: 15px;
}
.form-row {
  display: flex;
  justify-content: space-between;
}

.form-group {
  flex: 1;
  margin-right: 10px;
}

.form-group:last-child {
  margin-right: 0;
}
label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

input[type="text"],
input[type="email"],
input[type="tel"],
textarea {
    width: 100%;
    padding: 8px;
    border: 1px solid #ddd;
    border-radius: 4px;
    box-sizing: border-box; /* Makes sure padding doesn't affect overall width */
}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="tel"]:focus,
textarea:focus {
    outline: none;
    border-color: #7AAD2F;
    box-shadow: 0 0 0 2px rgba(122, 173, 47, 0.2);
}

/* Accessibility considerations */
label:focus-within {
    color: #7AAD2F;
}
.ccontainer {
  display: flex;
  justify-content: space-between;
  align-items: start;
  padding: 20px;
}

.contact-info, .contact-form {
  flex: 1;
}

.contact-info {
  margin-right: 20px;
  padding: 20px;
  border-radius: 8px;
}

.contact-form {
  /* Styles for the form container if needed */
}
/* Styles for file upload */
input[type="file"] {
  border: 1px solid #ddd;
  padding: 8px;
  width: 100%;
  margin-bottom: 15px;
  border-radius: 4px;
  box-sizing: border-box;
}

/* Container for radio buttons */
.radio-group {
  display: flex;
  align-items: center;
  margin-bottom: 15px;
}

.radio-group label {
  margin-right: 20px;
}
/* Hide the default radio button */
input[type="radio"] {
  display: none;
}

/* Custom radio button */
input[type="radio"] + label {
  display: inline-block;
  margin-right: 20px;
  padding: 5px 15px;
  background-color: #f2f2f2;
  border-radius: 20px;
  cursor: pointer;
  transition: background-color 0.3s;
}

/* Style for when the radio button is checked */
input[type="radio"]:checked + label {
  background-color: #7AAD2F;
  color: white;
}

/* Styles for select dropdown */
select {
  width: 100%;
  padding: 8px;
  border: 1px solid #ddd;
  border-radius: 4px;
  box-sizing: border-box;
  margin-bottom: 15px;
}

/* General styling for section titles */
form p small{
  font-weight: 100;
}
.margin-top-50{
  margin-top: 50px;
}

.whiteText {
  color: white !important;
}

@media screen and (max-width: 1024px) {
  .wrapper{
      padding: 0px 20px;
  }
}
@media screen and (max-width: 425px) {
  .wrapper{
      padding: 0px 10px;
  }
  .sub-header {
      padding: 0px;
  
  }
  .reason {
    flex: 0 1 100%;
  }
  .contact-info {
    margin:0px;
    padding: 0px;
  }
  .contact-form {
    margin:0px;
    padding: 0px;
    margin-top: 25px;
    margin-bottom: 25px;
    width: 100%;
  }
  .ccontainer{
    flex-direction: column;
    padding: 0px;
    width: 100%;
    box-sizing: border-box;
  }
  .ov-full{
    width: 100%;
    display: block;
    text-align: center;
    margin-bottom: 10px;
  }
  header{
    height: 600px;
  }
}

/* The Modal */
.modal {
    display: none; /* Hidden by default */
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
    animation-name: fadeIn;
    animation-duration: 0.2s;
}

/* Modal Content */
.modal-content {
    position: fixed;
    top: 10%; /* Adjusted to be closer to the top */
    left: 50%; /* Centered horizontally */
    transform: translateX(-50%); /* Adjust horizontal position */
    background-color: #fefefe;
    padding: 20px;
    border: 1px solid #888;
    width: 90%;
    max-width: 375px; /* Maximum width */
    animation-name: fadeIn;
    border-radius:10px;
    animation-duration: 0.3s;
}

/* Add Animation */
@keyframes slideIn {
    from {bottom: -300px; opacity: 0} 
    to {bottom: 25%; opacity: 1}
}

@keyframes fadeIn {
    from {opacity: 0} 
    to {opacity: 1}
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

@keyframes spinner {
  to {transform: rotate(360deg);}
}

.spinner:before {
  content: '';
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 20px;
  height: 20px;
  margin-top: -10px;
  margin-left: -10px;
  border-radius: 50%;
  border: 2px solid #ccc;
  border-top-color: #333;
  animation: spinner .6s linear infinite;
}
